> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coralos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List base namespace states

> Returns a list of namespace states



## OpenAPI

````yaml /api_v1.json get /api/v1/local/namespace
openapi: 3.1.0
info:
  title: Coral Server API
  version: '1.0'
servers: []
security: []
tags: []
externalDocs:
  url: /
paths:
  /api/v1/local/namespace:
    get:
      tags:
        - local
      summary: List base namespace states
      description: Returns a list of namespace states
      operationId: getNamespaceStates
      parameters: []
      responses:
        '200':
          description: Success
          headers: {}
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SessionNamespaceStateBase'
                title: ArrayList<SessionNamespaceStateBase>
      deprecated: false
      security:
        - token: []
components:
  schemas:
    SessionNamespaceStateBase:
      type: object
      description: The base state of a namespace, without session information
      properties:
        name:
          type: string
          description: The name of this namespace
          title: String
        deleteOnLastSessionExit:
          type: boolean
          description: >-
            Whether or not this namespace will be deleted when the last session
            exits
          title: Boolean
        annotations:
          type: object
          additionalProperties:
            type: string
            title: String
          title: LinkedHashMap<String,String>
      required:
        - annotations
        - deleteOnLastSessionExit
        - name
      title: SessionNamespaceStateBase
  securitySchemes:
    token:
      type: http
      scheme: bearer
      bearerFormat: Configured token

````